(function(window, chrome) {
  //Background Scope
  var background = {};
  window.background = background;

  //Create window and add listeners
  chrome.app.runtime.onLaunched.addListener(function(launchData) {
    // Sets in local storage whether the device is running in kiosk mode or not.
    chrome.storage.local.set({kioskMode: launchData.isKioskSession}, function() {
      if (!chrome.runtime.lastError) return;

      Log('warn', 'Could not persist kioskMode on the storage.', chrome.runtime.lastError);
    });
    chrome.app.window.create('index.html', {
      // @TODO: Re-enable fullscreen before publishing
      // 'state': 'fullscreen',
      'bounds': {
        'width': 1280,
        'height': 720
      }
    }, function(window) {
      window.onClosed.addListener(function() {
        chrome.power.releaseKeepAwake();
      });
      chrome.power.requestKeepAwake('display');
    });
  });
})(window, chrome);
