#!/bin/bash
write_result () {
  sed '/^updateResult/d' -i ~/.config/onsign.conf
  echo "updateResult: ${1}" >> ~/.config/onsign.conf
}

if [[ -z "$1" ]]
then
  echo "deb path missing"
  exit 1
fi

export PATH=/usr/bin:$PATH
write_result "INSTALLING"

(
    set -m
    echo "Copying the updated application to Applications"
    sudo dpkg -i "${1}"
    INSTALL_RESULT=$?
    sync

    echo "Starting OnSign"
    sudo systemctl start onsigntv-player

    if [[ ${INSTALL_RESULT} -ne 0 ]]
    then
      echo "File install failed"
      exit 1
    fi
)

SUBSHELL_RESULT=$?
echo "Wait returned" $SUBSHELL_RESULT
if [[ ${SUBSHELL_RESULT} -ne 0 ]]
then
  echo "Install failed"
  write_result "FAIL";
else
	write_result "SUCCESS"
fi
if pgrep onsigntv-player > /dev/null; then
	echo "OnSign TV Player is running"
else
	echo "Starting OnSign"
	sudo systemctl start onsigntv-player
fi
